{{#unless @after}}
  <label for={{this.elementId}} class="form-label" ...attributes>{{@value}}</label>
{{/unless}}

{{yield this.elementId}}

{{#if @after}}
  <label for={{this.elementId}} class="form-label" ...attributes>{{@value}}</label>
{{/if}}